VisualEditor: Internet Explorer compatibility (tracking)
Closed, InvalidPublic

Description

A retread of bug 42847 for issues in the run-up to wider deployment.


Version: unspecified
Severity: normal

bzimport set Reference to bz50085.
Jdforrester-WMF created this task.Via LegacyJun 24 2013, 5:52 AM
Jdforrester-WMF added a comment.Via ConduitMay 23 2014, 6:04 PM
  • Bug 65688 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitAug 27 2014, 12:37 AM

Change 155841 had a related patch set uploaded by Jforrester:
[WIP] Greylist IE11

https://gerrit.wikimedia.org/r/155841

gerritbot added a comment.Via ConduitAug 28 2014, 9:58 PM

Change 155841 merged by jenkins-bot:
Greylist IE11

https://gerrit.wikimedia.org/r/155841

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 1:29 AM
Jdforrester-WMF closed this task as "Invalid".Via WebWed, Feb 11, 5:07 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF removed blocking tasks: T73119: Pressing Backspace/Delete or creating a heading causes the page to abruptly scroll up on Internet Explorer 11, T71503: VisualEditor: Inspectors close immediately in IE, T74917: VisualEditor: Save page dialog's edit summary text box is black in Internet Explorer 11, T68096: VisualEditor: isMsie doesn't catch MSIE 11+, T74643: VisualEditor: Some dialogs are showing with transparent backgrounds in IE11, T74480: MediaWiki api Cache-Control headers are different than MediaWiki's. This causes problems for VE users on some browsers., T67714: VisualEditor: Test whether paste binding needs "beforepaste" for MSIE compatibility, T64334: VisualEditor: Save dialog throws "Uncaught TypeError: Cannot read get getModel of undefined" (IE9), T65778: VisualEditor: Broken appearance when window is too small in Internet Explorer, T65749: VisualEditor: Icons render weirdly in IE10, T65697: VisualEditor: Fatal "SCRIPT16389: Unspecified error" error in IE9, T65048: VisualEditor: IE9 doesn't load new page when when re-editing a page modified in another browser, T65046: VisualEditor: IE9 skips header line in table, T65039: VisualEditor: Console shows "Permission denied" on IE9 when VE is first initiated, T65038: VisualEditor: Can't create new paragraph by hitting return in IE9(?), T51464: VisualEditor: VE crash mid-edit in IE9, T52874: VisualEditor: Check whether we work in IE11 fine, and if so, add to the whitelist, T51187: VisualEditor: IE9/10 incompatibilities with saving process, T52088: VisualEditor: Editing of headings is broken in IE10, T52086: VisualEditor: Impossible to review or save changes in IE10, T52045: VisualEditor: Right-click in IE10 causes deletion of the selected content, T52044: VisualEditor: Transclusion editor broken in IE10 (stack overflow), T43233: VisualEditor: Context menu appears in the wrong place in IE10 when zoomed in.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.